%global momorel 3

Summary: system tray controller for Compiz & KDE, written in Python
Name:    pykompiz
Version: 0.1.3
Release: %{momorel}m
Group:   User Interface/Desktops
License: GPL
URL:     http://www.oakcourt.dyndns.org/projects/pykompiz/
%NoSource 0 http://www.oakcourt.dyndns.org/projects/%{name}/%{name}-%{version}.tar.gz 5f396218d4f3c35c57fedd7f7a3e88cb
Source1: pykompiz.desktop
Patch0: pykompiz-0.1.3-iconpath.patch
Patch1: pykompiz-0.1.3-stupid_to_use_metacity.patch
Requires: PyQt kdebindings 
Requires: compiz gset-compiz
# stupid...
Requires: metacity
Buildroot: %{_tmppath}/%{name}-%{version}-root

%description
This is system tray controller for Compiz & KDE, written in Python.

%prep
%setup -q
%patch0 -p1 -b .icon
%patch1 -p1 -b .metacity

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/%{name}
install -m 644 logo24.png %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_bindir}
install -m 755 src/pykompiz.py %{buildroot}%{_bindir}/pykompiz
mkdir -p %{buildroot}%{_datadir}/applications/kde
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/applications/kde

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README COPYING ChangeLog www
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/kde/*.desktop

%changelog
* Fri Jun 30 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.1.3-3m)
- added pykompiz-0.1.3-stupid_to_use_metacity.patch for using metacity to avoid screen blackout when swiching to kwin from compiz. 
- - this is really dirty and should be fixed...

* Fri Jun 30 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.1.3-2m)
- added this tool to menu (settings for KDE)
- TODO: autostart attribute?

* Wed Jun 28 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.1.3-1m)
- initial import to Momonga to enable switching to compiz in KDE session
- TODO: autostart desktop file
